using UnityEngine;

using UnityEditor;
using System.Collections;

public class SetRotation : ScriptableWizard
{
    public float xRotation = 0.0f;
    public float yRotation = 0.0f;
    public float zRotation = 0.0f;

    [MenuItem("Edit/Set Rotation")]
    static void CreateWizard()
    {
        ScriptableWizard.DisplayWizard("Set Rotation", typeof(SetRotation));
    }

    void OnWizardCreate()
    {
        foreach (Transform trans in Selection.transforms)
        {
            trans.eulerAngles = new Vector3(xRotation, yRotation, zRotation);
        }
    }
}